Kullanıcılar

Kullanıcı gönderilerini getir

GET /v1/users/{screen_name}/tweets reads 2 kredi

Bir hesabın son gönderileri, en yeniden eskiye.

Sorgu parametreleri

Sorgu parametresiTürAnlamı
repliesbool = falseYanıtları dahil et
countint 1–100 = 40İstenen sayfa boyutu; X bunu ipucu olarak değerlendirir
cursorstringÖnceki sayfanın next_cursor değerinden

yanıt

Hesap, gönderileri ve sonraki sayfa için bir imleç (sonda null). Alan alan: Tweet (okuma).

Durum: 200, 404, 429, 502

istek
curl https://api.xsignalfeed.com/v1/users/elonmusk/tweets?count=20&replies=true \
  -H "Authorization: Bearer xsf_your_key"
yanıt · 200 / 404
{
  "user": {
    "id": "44196397",
    "screen_name": "elonmusk"
  },
  "tweets": [
    {
      "id": 2097879002992070835,
      "created_ms": 1789012345678,
      "user_id": 44196397,
      "user": "elonmusk",
      "name": "Elon Musk",
      "text": "…",
      "lang": "en",
      "reply_to": null,
      "reply_to_status_id": null,
      "reply_to_user_id": null,
      "conversation_id": "2097879002992070835",
      "is_rt": false,
      "rt_of": null,
      "is_quote": false,
      "quoted": null,
      "media": [],
      "media_items": [],
      "urls": [],
      "views": 1204331,
      "counts": {
        "reply": 812,
        "rt": 1930,
        "like": 14022,
        "quote": 210,
        "bookmark": 388
      }
    }
  ],
  "next_cursor": "DAAHCgABHSMQD72__-oL"
}